<?php

// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
define( 'DS', DIRECTORY_SEPARATOR );
}
$slide = $params->get('slides');
$cacheFolder = JURI::base(true).'/cache/';
$modID = $module->id;
$modPath = JURI::base(true).'/modules/mod_tc_team2/';
$document = JFactory::getDocument(); 
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
$jqueryload = $params->get('jqueryload');
$customone = $params->get('customone');

?>
<div id="team<?php echo $modID ?>">
<div id="members">
<span id="team-prev" class="prev-next prev"><i class="icon-chevron-left"></i></span>
<span id="team-next" class="prev-next next"><i class="icon-chevron-right"></i></span> 
</div>
<div id="owl-team" class="members">
<?php
if($slide) {
foreach($slide->vals as $k => $v) {
$img = $slide->img[$k];
if($params->get('resize_images',0))
$img = JURI::base(true).'/cache/'.ModIcTeam2Helper::createThumb($img, 480, 360);
$name = $slide->name[$k];
$decs = $slide->decs[$k];
$title = $slide->title[$k];
$url1 = $slide->url1->link[$k];
$url2 = $slide->url2->link[$k];
$url3 = $slide->url3->link[$k];
$url4 = $slide->url4->link[$k];
$url5 = $slide->url5->link[$k];
$target1 = $slide->url1->target[$k];
$target2 = $slide->url2->target[$k];
$target3 = $slide->url3->target[$k];
$target4 = $slide->url4->target[$k];
$target5 = $slide->url5->target[$k];
$html = array();
$html[] = '
<div class="team-member">
<div class="team-sett'.$modID.'">
<div class="img-member">
<img src="'.$img.'" class="img-circle" >
</div>';
if($name) $html[] = '<h3>'.$name.'</h3>';
if($title) $html[] = '<h5>'.$title.'</h5>';
if($decs) $html[] = '<p>'.$decs.'</p>';
$html[] = '<ul>';
if($url1) $html[] = '<li><a href="'.$url1.'" target="'.$target1.'" title="Facebook" ><i class="icon-facebook"></i></a></li>';
if($url2) $html[] = '<li><a href="'.$url2.'" target="'.$target2.'"  title="twitter"><i class="icon-twitter"></i></a></li>';
if($url3) $html[] = '<li><a href="'.$url3.'" target="'.$target3.'" title="flickr"><i class="icon-flickr"></i></a></li>';
if($url4) $html[] = '<li><a href="mailto:'.$url4.'" target="'.$target4.'" title="email"><i class="icon-envelope"></i></a></li>';
if($url5) $html[] = '<li><a href="'.$url5.'" target="'.$target5.'" data-placement="bottom" data-toggle="tooltip" title="read more"><i class="icon-arrow-circle-right"></i></a></li>';
$html[] = '	</ul></div></div>'."\n";

echo implode("\n",$html);
} // end foreach

// add files

if($jqueryload) $document->addScript($modPath.'assets/js/jquery.min.js');
if($jqueryload) $document->addScript($modPath.'assets/js/jquery-noconflict.js');
$document->addScript($modPath.'assets/js/jquery.owl.carousel.js');
if($customone==0) $document->addScript($modPath.'assets/js/jquery.custom.one.js');
if($customone==1) $document->addScript($modPath.'assets/js/jquery.custom.js');
$document->addStyleSheet($modPath.'assets/css/style.css');
$document->addStyleSheet($modPath.'assets/css/owl.carousel.css');
$document->addStyleSheet($modPath.'assets/font-awesome.css');
$document->addStyleDeclaration('#team'.$modID.' .team-sett'.$modID.' { margin:'.$params->get('container_fix',6).'px; color: #222; background-color: #fff; padding:20px 10px;margin-top:90px;} #team'.$modID.' .team-sett'.$modID.':hover {color: #fafafa; background-color: #293b4e; box-shadow:0 0 5px rgba(0,0,0,0.1);}');
} else {
echo 'Load Items first!';	
}
?>
</div>
</div>

<!-- End Flex Slider code -->

